Attribute VB_Name = "getsize"
Public Declare Function CreateFile Lib "kernel32" Alias "CreateFileA" _
    (ByVal lpFileName As String, ByVal dwDesiredAccess As Long, _
    ByVal dwShareMode As Long, lpSecurityAttributes As Any, _
     ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, _
    ByVal hTemplateFile As Long) As Long
    
Public Declare Function GetFileSize Lib "kernel32.dll" ( _
  ByVal hFile As Long, lpFileSizeHigh As Long) As Long

Public Declare Function CloseHandle Lib "kernel32.dll" (ByVal hObject As Long) As Long

Public Function Checksize(pathtofile As String) As Currency

Dim hFile As Long  ' receives a handle to the file
Dim loworder As Long, highorder As Long  ' receive the low- and high-order halves of the file size
Dim retval As Long  ' return value

 hFile = CreateFile(pathtofile, 0, 0, ByVal 0&, 3, 0, ByVal 0&)
 If hFile = -1 Then  ' error opening the file
  MsgBox "Could not open file"
  

End If

highorder = 0  ' initialize the value for high-order half
loworder = GetFileSize(hFile, highorder)

Checksize = REALFileSize(highorder, loworder)

retval = CloseHandle(hFile)


End Function
Public Function REALFileSize(plngFileSizeHigh As Long, plngFileSizeLow As Long) As Currency

    Dim curFileSizeHigh As Currency
    Dim curFileSizeLow As Currency
    Dim curFileSize As Currency

    curFileSizeHigh = CCur(plngFileSizeHigh)
    curFileSizeLow = CCur(plngFileSizeLow)

    curFileSize = curFileSizeLow

    If curFileSizeLow < 0 Then
        curFileSize = curFileSize + 4294967296@
    End If

    If curFileSizeHigh > 0 Then
        curFileSize = curFileSize + (curFileSizeHigh * 4294967296@)
    End If

    REALFileSize = curFileSize

End Function

Public Function FileExist(sTestFile As String) As Boolean
   'This function does not use DIR since it is possible that you might have
   'been in the middle of running DIR against another directory in
   'an attempt to match one directory against another.

   'It does not handle wildcard characters
'   Dim lSize As Long
'   On Error Resume Next
   'Preset length to -1 because files can be zero bytes in length
'   lSize = -1
   'Get the length of the file
'   lSize = FileLen(sTestFile)
'   If lSize > -1 Then
'      FileExist = True
'   Else
'      FileExist = False
'   End If

    On Error GoTo ErrorHandler
    ' get the attributes and ensure that it isn't a directory
    FileExist = (GetAttr(sTestFile) And vbDirectory) = 0
ErrorHandler:
    ' if an error occurs, this function returns False
End Function

