VERSION 5.00
Begin VB.Form navcommands 
   Caption         =   "navigation commands editor"
   ClientHeight    =   4695
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5700
   Icon            =   "post.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4695
   ScaleWidth      =   5700
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox List1 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1530
      ItemData        =   "post.frx":038A
      Left            =   120
      List            =   "post.frx":038C
      TabIndex        =   0
      ToolTipText     =   "double click on the entry to modify the command after the title is finished (post command)"
      Top             =   480
      Width           =   5655
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Save Changes"
      Height          =   375
      Left            =   3000
      TabIndex        =   10
      Top             =   3120
      Visible         =   0   'False
      Width           =   1335
   End
   Begin VB.Frame Frame2 
      Caption         =   "first play"
      Height          =   855
      Left            =   0
      TabIndex        =   5
      ToolTipText     =   "sets the first thing that is played when the dvd begins."
      Top             =   2760
      Width           =   2415
      Begin VB.ComboBox firstplay 
         Height          =   315
         ItemData        =   "post.frx":038E
         Left            =   240
         List            =   "post.frx":0390
         TabIndex        =   6
         Text            =   "<default>"
         ToolTipText     =   "sets the first thing that is played when the dvd begins."
         Top             =   360
         Width           =   1935
      End
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Accept"
      Height          =   375
      Left            =   3480
      TabIndex        =   3
      Top             =   3120
      Width           =   1335
   End
   Begin VB.TextBox Text1 
      Enabled         =   0   'False
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Top             =   2160
      Width           =   2175
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "post.frx":0392
      Left            =   2880
      List            =   "post.frx":0394
      TabIndex        =   1
      Top             =   2160
      Width           =   2415
   End
   Begin VB.Frame Frame1 
      Caption         =   "navigation commands (double click to enter multiline mode)"
      Height          =   2655
      Left            =   0
      TabIndex        =   4
      Top             =   0
      Width           =   5535
      Begin VB.TextBox Text2 
         Height          =   375
         Left            =   120
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   9
         Top             =   240
         Visible         =   0   'False
         Width           =   495
      End
      Begin VB.Label Label1 
         Caption         =   "(Multiline Edit Mode)"
         ForeColor       =   &H00000080&
         Height          =   375
         Left            =   4080
         TabIndex        =   11
         Top             =   240
         Visible         =   0   'False
         Width           =   1455
      End
      Begin VB.Label Label3 
         Caption         =   "Post command"
         Height          =   255
         Left            =   2640
         TabIndex        =   8
         Top             =   240
         Width           =   1455
      End
      Begin VB.Label Label2 
         Caption         =   "Title name"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.Label Label4 
      Height          =   495
      Left            =   240
      TabIndex        =   12
      Top             =   3960
      Width           =   1815
   End
End
Attribute VB_Name = "navcommands"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim blank As String




Private Sub Combo1_Change()
Call update
End Sub

Private Sub Combo1_Click()
Call update
End Sub

Private Sub Combo2_Change()
Call update
End Sub

Private Sub Combo2_Click()
Call update
End Sub

Private Sub Command1_Click()
Dim postcmd() As String
Dim poststr As String
If Len(firstplay.text) < 2 Then firstplay.text = "<default>"

Dim u As Integer
For u = 0 To List1.ListCount - 1
postcmd = Split(List1.List(u), vbTab)
poststr = RTrim(postcmd(1))
If Right(poststr, 1) = ";" Then

poststr = Left(poststr, Len(poststr) - 1)
End If
main.postinfo.List(u) = poststr
Next u


main.firstplay.text = firstplay.text

Unload Me
End Sub

Private Sub Command2_Click()
Command1.Visible = True
Text2.Visible = False
Command2.Visible = False
List1.Visible = True
Combo1.Visible = True
Text1.Visible = True
Frame2.Visible = True

Text2.text = Replace(Text2.text, vbCrLf, " ")
Text2.text = Replace(Text2.text, "  ", " ")
Text2.text = Replace(Text2.text, "  ", " ")
Text2.text = Replace(Text2.text, "  ", " ")
Text2.text = Replace(Text2.text, "  ", " ")
Text2.text = Replace(Text2.text, "  ", " ")

Combo1.text = Text2.text
Text2.text = ""
End Sub



Private Sub Form_Load()
Dim info(4) As String
main.Enabled = False

blank = "                                                                       "

End Sub

Private Sub Form_Resize()
Frame1.Width = navcommands.ScaleWidth - Frame1.Left
Frame1.Height = navcommands.ScaleHeight - Frame1.Top - Frame2.Height

Text2.Width = Frame1.Width - (Text2.Left * 2)

Text2.Height = Frame1.Height - (Text2.Top * 2)



Frame2.Top = Frame1.Height + Frame1.Top
Label4.Top = Frame1.Height + Frame1.Top
Command1.Top = (Frame2.Height / 3) + Frame1.Height + Frame1.Top
Command1.Left = Frame1.Width + Frame1.Left - Command1.Width - (Screen.TwipsPerPixelX * 20)

Command2.Top = (Frame2.Height / 3) + Frame1.Height + Frame1.Top
Command2.Left = Frame1.Width + Frame1.Left - Command1.Width - (Screen.TwipsPerPixelX * 20)

List1.Width = (Frame1.Width - List1.Left) - Frame1.Left - (Screen.TwipsPerPixelX * 10)
List1.Height = ((Frame1.Height) - List1.Top) - Frame1.Top - Text1.Height - (Screen.TwipsPerPixelY * 10)
Text1.Top = Frame1.Height + Frame1.Top - Text1.Height - (Screen.TwipsPerPixelY * 8)
Combo1.Top = Text1.Top
'Combo1.Left = Frame1.Left + Frame1.Width - Combo1.Width - (Screen.TwipsPerPixelY * 18)
Combo1.Left = Text1.Left + Text1.Width + (Screen.TwipsPerPixelX * 8)
Combo1.Width = Frame1.Width - Text1.Left - Text1.Width - (Screen.TwipsPerPixelY * 18)

End Sub

Private Sub Form_Unload(Cancel As Integer)
main.Enabled = True

End Sub

Private Sub Label1_Click()
Dim indentlevel As Integer
Dim blank As String
blank = "                                   "

Label4.caption = "Editing:" + vbCrLf + Text1.text

Dim a As Integer
Dim testvar As String

Dim arlist() As String
Command2.Visible = True
Frame2.Visible = False

Command1.Visible = False
List1.Visible = False
Combo1.Visible = False
Text1.Visible = False

Text2.Visible = True
testvar = Replace(Combo1.text, "{", "{<splitme>")
testvar = Replace(testvar, "}", "}<splitme>")
testvar = Replace(testvar, ";", ";<splitme>")
arlist = Split(testvar, "<splitme>")
For a = LBound(arlist) To UBound(arlist)
Text2.text = Text2.text + Left(blank, indentlevel) + LTrim(RTrim(arlist(a))) + vbCrLf
If (InStr(arlist(a), "{") > 0) Then indentlevel = indentlevel + 2
If (InStr(arlist(a), "}") > 0) Then indentlevel = indentlevel - 2
If indentlevel < 0 Then indentlevel = 0
Next a

End Sub

Private Sub List1_Click()
info = Split(List1.List(List1.listindex), vbTab)
Text1.text = RTrim(info(0))


Combo1.text = RTrim(info(1))
End Sub
Private Sub update()

If List1.listindex <> -1 Then
List1.List(List1.listindex) = Left(Text1.text + blank, 20) + vbTab + Left(Combo1.text + blank, 700)
End If
End Sub


Private Sub List1_DblClick()
Call Label1_Click
End Sub
